
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python &amp; PyCharm &amp; Django 搭建web开发环境（续） / 憋错料</title>

    <meta name="description" content="Python &amp; PyCharm &amp; Django 搭建web开发环境（续） 由于Django自带轻量级的server,因此在前篇博文中,默认使用该server,但实际生产中是不允许这么干的,生产环境中通常使用Apache Httpd Server结合mod_wsgi.so来做后端服务器. 以下部署环境为:Python2.7.6 1.安装httpd-2.2.25-win32-x86-no_ssl.msi 2.将下载好的mod_wsgi.so 放在 D:\Program Files\Apache Software Foundation\Apache2.2\modules 模">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Python &amp; PyCharm &amp; Django 搭建web开发环境（续）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>由于Django自带轻量级的server，因此在前篇博文中，默认使用该server，但实际生产中是不允许这么干的，生产环境中通常使用Apache Httpd Server结合mod_wsgi.so来做后端服务器。</p>

<p>以下部署环境为：Python2.7.6</p>
<p>1、安装httpd-2.2.25-win32-x86-no_ssl.msi</p>
<p>2、将下载好的mod_wsgi.so 放在&nbsp;D:\Program Files\Apache Software Foundation\Apache2.2\modules 模块下。</p>
<p>3、在新建的web工程 MyDjangoProject目录下新建 django.wsgi文件</p>
<p>内容如下（相应的目录需要修改）：</p>
<pre> 1
 2 import os
 3 import sys
 4
 5 djangopath = "D:/Python27/Lib/site-packages/django/bin"
 6 if djangopath not in sys.path:
 7     sys.path.append(djangopath)
 8
 9 projectpath = ‘D:/workspace/MyDjangoProject‘
10 if projectpath not in sys.path:
11     sys.path.append(projectpath)
12
13 apppath = ‘D:/workspace/MyDjangoProject/MyDjangoProject‘
14 if apppath not in sys.path:
15     sys.path.append(apppath)
16 os.environ[‘DJANGO_SETTINGS_MODULE‘]=‘MyDjangoProject.settings‘
17
18 from django.core.wsgi import get_wsgi_application
19 application = get_wsgi_application()</pre>
<p>4、修改httpd.conf ,添加如下：</p>
<pre>1 LoadModule wsgi_module modules/mod_wsgi.so
2 WSGIScriptAlias / "D:/workspace/MyDjangoProject/django.wsgi"
3 &lt;Directory "D:/workspace/MyDjangoProject/"&gt;
4     Options FollowSymLinks
5     AllowOverride None
6     Order deny,allow
7     Allow from all
8 &lt;/Directory&gt;</pre>
<p>ok,重启server，页面正常了。</p>
<p>在部署的过程中，遇到一个异常，如下：</p>
<pre>1 The translation infrastructure cannot be initialized before the apps registry is ready</pre>
<p>原因是django.wsgi一开始按照较为古老的写法，改为新版本的写法就Ok了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 21:53:02 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Python &amp; PyCharm &amp; Django 搭建web开发环境（续）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QakON4.html" rel="bookmark">Python &amp;amp&semi; PyCharm &amp;amp&semi; Django 搭建web开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.安装软件 1.安装 Python 2.7.PyCharm.pip(Python包管理工具).Django ( pip install Django) 二.部署 1.PyCharm 新建Django工程 完成后,其目录如下: 子目录MyDjangoProject下表示工程的全局配置,分别为setttings.py.urls.py和wsgi.py,其中setttings.py包括了系统的数据库配置.应用配置和其他配置,urls.py则 表示web工程Url映射的配置. 子目录student则是在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JbepV4.html" rel="bookmark">python &plus;Django 搭建web开发环境初步，显示当前时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.python 的安装 网上很多关于django跟python 开发的资料,这块我正在实习准备用这个两个合起来搞一个基于web 的东西出来现在开始学习,写点东西记录一下心得. 开发环境是windows的,所以我们到python官网下载64位的windows操作系统的安装包: https://www.python.org/ftp/python/3.4.3/python-3.4.3.amd64.msi 这个版本直接添加了系统的环境变量非常的方面(吐槽一下各种开发环境环境变量的配置). 2.Djan			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eowxp4.html" rel="bookmark">PyCharm社区版&plus;Django搭建web开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PyCharm开源社区版不像商业版那样可以直接通过Django来创建项目,必须通过以下几个步骤进行: 1. 创建项目:在cmd命令行下输入:django-admin startproject Demo        (cmd命令先进入目录:cd D:\PycharmProjects) 2. 导入项目:打开Pycharm,open,选择刚才创建的项目 3. 创建应用:在cmd命令行下输入:python manage.py startapp web      (cmd命令下先进入Demo所在的目录)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AoLlD0.html" rel="bookmark">PyCharm社区版&plus;Django搭建web开发环境-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:https://www.cnblogs.com/nzyjlr/p/8565201.html PyCharm开源社区版不像商业版那样可以直接通过Django来创建项目,必须通过以下几个步骤进行: 1. 创建项目:在cmd命令行下输入:django-admin startproject Demo        (cmd命令先进入目录:cd D:\PycharmProjects) 2. 导入项目:打开Pycharm,open,选择刚才创建的项目 3. 创建应用:在cmd命令行下输入:python			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02dzDB4.html" rel="bookmark">使用 Python 和 Django 搭建 Web 应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用 Python 和 Django 搭建 Web 应用 简介 Django 是 Python 开发的 Web 框架.使用 Django 搭建 Web 应用很方便. 写本文时 django 的最新版本为 1.4,但本文不关注新版本的特性,只搭建一个简单的应用. 安装 Django 本文以 CentOS 6.2 为例进行安装: 安装 python # yum install python 本文使用的是 CentOS 6.2 Desktop,默认安装了 python. 查看一下 python 的版本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qGggDM.html" rel="bookmark">&lbrack;Python&rsqb; 利用Django进行Web开发系列（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 写在前面 在没有接触互联网这个行业的时候,我就一直很好奇网站是怎么构建的.现在虽然从事互联网相关的工作,但是也一直没有接触过Web开发之类的东西,但是兴趣终归还是要有的,而且是需要自己动手去实践的.Web开发的途径有好多种,比如传统的.Net,还有很火爆的Java.Python作为一种灵活好学的脚本语言,已经越来越受程序员的欢迎和热捧,甚至成为程序员的必备技能.Django是Python的Web开放框架,好多人说学习Python就是在学Django,从这也可以看出Django的强大.博主也是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPW1X14.html" rel="bookmark">eclipse&plus;gradle&plus;nodejs搭建web开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.目标 主要面向对java不太熟悉新手,帮助童鞋们顺利搭建可以运行调试的web开发环境. 二.步骤 1.安装JDK (1)Oracle官网下载最新jdk 地址:http://www.oracle.com/technetwork/java/javase/downloads/index.html 注意:要根据电脑装的系统版本选择对应的jdk版本. 打开安装包,选择安装目录(随意,但要记得安装到了哪里),一路“下一步”,中途要重新选择jre安装路径,选择相同文件夹,建一个jre8安装.安装成功. (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoGzoDM.html" rel="bookmark">&lbrack;Python&rsqb; 利用Django进行Web开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一步:下载并安装django 首先,在Django官网上下载适合自己Python的Django版本,在安装Django前首先确定你已成功安装了python.         Windows系统下安装Django: 解压缩下载的Django压缩包,找到里面的setup.py文件,然后打开cmd命令窗口,在其对应的路径下执行如下命令: python setup.py install Linux系统下安装Django: 以此在shell中输入如下命令: $ tar xzvf Django-*.tar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jGekg3.html" rel="bookmark">用Docker搭建web开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需要解决的主要问题:如何在宿主机修改代码,在容器中实时刷新代码效果. 解决方案就是VOLUME,挂载.具体操作方式也有多种,本文通过编写compose文件的方式来实现挂载. 本文假设读者已经了解Docker的基础知识:镜像.容器的概念,Docker的基本操作. 笔者使用docker的思想是:镜像作为材料,Compose作为蓝图,通过修改蓝图来生成分别适用于开发.测试.生产环境的容器. 镜像是一个相对比较固定的部分. 具体实践是:Dockerfile来生成镜像,镜像包含运行时的必要条件(库依赖.源			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEGWD3.html" rel="bookmark" class="title">mysql之数据类型以及操作数据表</a>
					<div>
						数据类型: 数据类型是指列.存储过程的参数.表达式和局部变量的数据特征,它决定了数据的存储格式,代表了不同的信息类型. ———————————————————————————————————————— ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmBAK0.html" rel="bookmark" class="title">剑指Offer之赋值运算符重载（题1）</a>
					<div>
						1 #include&lt;stdio.h&gt;                                                                            ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0RzmR0.html" rel="bookmark" class="title">四则运算appNABCD模型</a>
					<div>
						团队: 郭志豪:http://www.cnblogs.com/gzh13692021053/ 杨子健:http://www.cnblogs.com/yzj666/ 刘森松:http://www.cnb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz8kgW3.html" rel="bookmark" class="title">linux &amp;nbsp&semi; expect远程自动登录以及执行命令</a>
					<div>
						#!/bin/bash passwd='Abcd1234' /usr/bin/expect &lt;&lt;-EOF set time 30                执行超时时间  任何输入30 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGP7ZM.html" rel="bookmark" class="title">python学习&mdash;&mdash;DAY5</a>
					<div>
						今天主要继续上一节课,将内置函数讲完,后面讲了迭代器.生成器,以及系统内置标准模块的,讲内置标准模块的时候走思了,主要参考老师的blog吧... 一.内置函数: bytearray() 可以直接修改的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47Dl5oM.html" rel="bookmark" class="title">Java常见问题3：周期之谜</a>
					<div>
						谜24 byte是有符号的.范围是-128 - 127. 而0x90是int类型. 比較的时候.不相等. 假设想让其相等,须要进行类型转换:(byte &amp; 0xff) 或者 (byte)0x9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZqWO4.html" rel="bookmark" class="title">rpm包制作（一）</a>
					<div>
						rpm介绍 rpm的全称是RedhatPackage Manager,常见的使用rpm软件包的系统主要有Fedora.CentOS.openSUSE.SUSE企业版.PCLinuxOS等.使用deb软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41oJRO0.html" rel="bookmark" class="title">&num;Cocos2d&plus;lua&num;android&plus;Eclipse工程编译设置</a>
					<div>
						用Elicpse编译cocos2d+lua的工程几点注意点记录: 1.设置工程属性Windows-&gt;Preferences-&gt;NDK目录 2.右键Android Tools-&gt;Add ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLLdd3.html" rel="bookmark" class="title">黑盒测试流程</a>
					<div>
						结合自己当前的工作,针对很对新人不知道流程这个事情,整理出如下的测试流程:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLEZW3.html" rel="bookmark" class="title">【BZOJ2045】双亲数 莫比乌斯反演</a>
					<div>
						[BZOJ2045]双亲数 Description 小D是一名数学爱好者,他对数字的着迷到了疯狂的程度. 我们以d = gcd(a, b)表示a.b的最大公约数,小D执著的认为,这样亲密的关系足可以用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZgaD3.html" rel="bookmark" class="title">用python搭建后台的项目怎么运行？</a>
					<div>
						写在前面的话: 拿到一个后台是由python(flask框架)支持的完整的项目,怎么运行? 做法: 先搭好运行环境: 参见另外一篇文章,flask入门_windows下安装 环境搭好以后,然后再进行以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5Alx3.html" rel="bookmark" class="title">Android开发之旅（二）服务生命周期和广播接收者生命周期</a>
					<div>
						引言 应用程序组件有一个生命周期——一开始Android实例化他们响应意图,直到结束实例被销毁.在这期间,他们有时候处于激活状态,有时候处于非激活状态:对于活动,对用户有时候可见,有时候不可见.组件生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnVrw4.html" rel="bookmark" class="title">headfirst设计模式（3）&mdash;装饰者模式</a>
					<div>
						序 好久没写设计模式了,自从写了两篇之后,就放弃治疗了,主要还是工作太忙了啊(借口,都是借口),过完年以后一直填坑,填了好几个月,总算是稳定下来了,可以打打酱油了. 为什么又重新开始写设计模式呢?学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNAPo3.html" rel="bookmark" class="title">Oracle数据库11g各版本介绍及功能比较</a>
					<div>
						Oracle 11g有多个版本可供选择:?标准版1.标准版和企 业版.所有这些版本都使用相同的通用代码库构建,这意味着企业的数据库管理软件可以轻松地从规模较小的单一处理器服务器扩展到多处理器服务器集  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmmLYVM.html" rel="bookmark" class="title">mysql中boolean类型</a>
					<div>
						MYSQL保存BOOLEAN值时用1代表TRUE,0代表FALSE,boolean在MySQL里的类型为tinyint(1), MySQL里有四个常量:true,false,TRUE,FALSE,它们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZawgD0.html" rel="bookmark" class="title">tcp通信：多进程共享listen socket方式</a>
					<div>
						原文链接:http://blog.csdn.net/largetalk/article/details/7939080 看tornado源码多进程(process.py)那段,发现他的多进程模型和一般 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l9vlN3.html" rel="bookmark" class="title">logging&period;properties</a>
					<div>
						针对一些web项目,不方便从tomcat找错时,可以在web-inf下建一文件logging.properties输入如下内容: handlers = org.apache.juli.FileHand ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pl5Dg4.html" rel="bookmark" class="title">PHP使用MySQL数据库</a>
					<div>
						PHP使用MySQL数据库,从建立连接到结果的显示. 完整代码如下: &lt;?php //连接MySQL $db = mysql_connect(&quot;localhost&quot;,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Od1kX4.html" rel="bookmark" class="title">Qt之事件系统</a>
					<div>
						简述 在Qt中,事件就是对象,派生自QEvent抽象类,用来表示在应用程序中发生的事件,或是应用程序需要处理的外部活动产生的事件. Events可以被任何QObject派生的子类实例对象接收和处理,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38YZwR4.html" rel="bookmark" class="title">如何发布本地maven项目jar包部署到nexus私服？</a>
					<div>
						首先在我们的pom里面描述我们要部署的地址: &lt;distributionManagement&gt; &lt;repository&gt; &lt;id&gt;release&lt;/id&gt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
